
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux的最大进程句柄数设置 / iVAN</title>

    <meta name="description" content="linux的最大进程句柄数设置 在Linux下,我们使用ulimit -n命令可以看到单个进程能够打开的最大文件句柄数量(socket连接也算在里面).系统默认值1024. 对于一般的应用来说(象Apache.系统进程)1024完全足够使用.但是如何象squid.mysql.java等单进程处理大量请求的应用来说就有点捉襟见肘了.如果单个进程打开的文件句柄数量超过了系统定义的值,就会提到&quot;too many files open&quot;的错误提示.如何知道当前进程打开了多少个文件句柄呢?下面一段小脚本可以帮你查看: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux的最大进程句柄数设置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Linux下，我们使用ulimit -n命令可以看到单个进程能够打开的最大文件句柄数量(socket连接也算在里面)。系统默认值1024。</p>
<p>对于一般的应用来说(象Apache、系统进程)1024完全足够使用。但是如何象squid、mysql、java等单进程处理大量请求的应用来说就有点捉襟见肘了。如果单个进程打开的文件句柄数量超过了系统定义的值，就会提到“too many files open”的错误提示。如何知道当前进程打开了多少个文件句柄呢？下面一段小脚本可以帮你查看：lsof -n |awk '{print $2}'|sort|uniq -c |sort -nr|more　　</p>
<p>在系统访问高峰时间以root用户执行上面的脚本，可能出现的结果如下：</p>
<p># lsof -n|awk '{print $2}'|sort|uniq -c |sort -nr|more　　　　131 24204　　 57 24244　　 57 24231　　 56 24264</p>
<p>其中第一行是打开的文件句柄数量，第二行是进程号。得到进程号后，我们可以通过ps命令得到进程的详细内容。</p>
<p>ps -aef|grep 24204 mysql　　24204 24162 99 16:15 ?　　　　00:24:25 /usr/sbin/mysqld</p>
<p>哦，原来是mysql进程打开最多文件句柄数量。但是他目前只打开了131个文件句柄数量，远远底于系统默认值1024。</p>
<p>但是如果系统并发特别大，尤其是squid服务器，很有可能会超过1024。这时候就必须要调整系统参数，以适应应用变化。Linux有硬性限制和软性限制。可以通过ulimit来设定这两个参数。方法如下，以root用户运行以下命令：ulimit -HSn 4096</p>
<p>以上命令中，H指定了硬性大小，S指定了软性大小，n表示设定单个进程最大的打开文件句柄数量。个人觉得最好不要超过4096，毕竟打开的文件句柄数越多响应时间肯定会越慢。设定句柄数量后，系统重启后，又会恢复默认值。如果想永久保存下来，可以修改.bash_profile文件，可以修改 /etc/profile 把上面命令加到最后。(findsun提出的办法比较合理)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:08:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e9%87%8f/" title="数量">数量</a>, <a href="https://www.iamivan.net/tag/%e5%8f%a5%e6%9f%84/" title="句柄">句柄</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e7%9c%8b%e8%bf%9b%e7%a8%8b%e5%8f%a5%e6%9f%84/" title="查看进程句柄">查看进程句柄</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e5%8f%a5%e6%9f%84/" title="文件句柄">文件句柄</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux的最大进程句柄数设置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7dWJb.html" rel="bookmark">Linux下时区与时间设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先要说明的是我的系统是fedora,其他系统可能不完全相同. 1,时间保存在硬件实时钟(RTC)中,RTC由主板电池供电,即使关断电源也不会造成时间丢失. 2,系统启动时从RTC获取时间,这个步骤在rc.sysinit中做: a,首先从/etc/sysconfig/clock中获取RTC相关参数UTC/ARC/SRM.UTC为true表示RTC保存的时间是UTC时间,false表示保存的是本地时间.ARC与SRM的含义参考hwclock的manpage,一般false即可: b,根据上面获取的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxY67jp.html" rel="bookmark">关于Map和Reduce最大的并发数设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于Map和Reduce最大的并发数设置 博客分类: 测试 hadoop&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 一.环境 1.hadoop 0.20.2 2.操作系统 Linux 二.设置 1.因为hadoop的集群所有的机器不可能完全的配置一样,所以,不同节点机器上并发的最大map和reduce数量最好也不要相同. 2.在对应的节点机器上修改mapreduce-sit.xml文件,添加参数如下: &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxg847b.html" rel="bookmark">sharly浅谈虚拟主机linux系统下的安全设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				美国虚拟主机大都使用Linux操作系统,因此当用户在使用美国虚拟主机的时候,Linux系统的安全问题就成为了使用者最为关心的问题,毕竟谁都希望自己操作的是一个稳定又安全的系统. 什么是Linux呢?Liunx的官方定义:&quot;Linux是一种UNIX操作系统的克隆,它(的内核)由Linux Torvalds以及网络上组织松散的黑客队伍一起从零开始编写而成.LINUX的目标是保持和POSIX的兼容.&quot;众所周知,Linux是一种开放源代 码的操作系统,由于它的自由开放性和技术先进性,顺应了广大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPWR0M.html" rel="bookmark">一台Linux或UNIX机器上设置多个DB2系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在DB2 for Linux, UNIX,和Windows Version 8之前,SAP客户只能在一台物理机器上安装每个DB2 版本的一个拷贝,因为安装路径是硬编码的.尽管 DB2 Version 8 提供了替换的修订包映像,但是这些映像只用于测试,在生产环境中 SAP 不支持它们. 对于 DB2 9,客户可以在一台物理机器上安装多个 DB2 软件拷贝.数据库的安装是相互独立的.它们可以是不同级别的,可以安装在任何有效路径上.每个拷贝可以独立更新,而不会相互影响.所有装有 DB2 9 的 SA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPlr0z.html" rel="bookmark">Linux系统网卡绑定的设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Linux系统网卡绑定的设置方法   简介 端口绑定就是将多个物理网卡绑定为一个逻辑网卡;根据模式不同可以网卡绑定的作用可分为提升吞吐量和热备份两个主要作用,一般都是提升吞吐量.另外需要bonding内核模块的支持. 配置 挂载模块 修改模块挂载配置文件vim /etc/modprobe.conf alias bond0 bonding options bond0 mode=balance-alb miimon=100 use_carrier=0 修改网卡参数 添加bond0配置vim /et			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8L7Gb.html" rel="bookmark">linux中iptables防火墙怎么设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当新配置了一台linux的服务器时,如果需要配置iptables,一般按照以下命令进行配置: 一,安装并启动防火墙 [root@linux ~]# /etc/init.d/iptables start 当我们用iptables添加规则,保存后,这些规则以文件的形势存在磁盘上的,以CentOS为例,文件地址是/etc/sysconfig /iptables,我们可以通过命令的方式去添加,修改,删除规则,也可以直接修改/etc/sysconfig/iptables这个文件就行了. 1.加载模块 /s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze707AM.html" rel="bookmark">Linux系统下Telnet的设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Linux系统下Telnet的设置方法 Linux系统下Telnet服务的配置步骤: 一.安装Telnet软件包(通常要两个) 1. Telnet-clIEnt (或 Telnet),这个软件包提供的是 Telnet 客户端程序; 2. Telnet-server ,这个软件包提供的是 Telnet 服务器端程序; 安装之前先检测是否这些软件包已安装,方法如下: [root@echo root]#rpm –q Telnet或[root@wljs root]#rpm –q Telnet-cli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqXkdb.html" rel="bookmark">oracle trc 文件-各位数据大神麻烦帮我分析下这个oracle的trc文件，最大游标数设置的为1000</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 各位数据大神麻烦帮我分析下这个oracle的trc文件,最大游标数设置的为1000 *** 2014-01-10 09:52:31.526*********START PLSQL RUNTIME DUMP************Got internal error Exception caught in pl l run-time while running PLSQLGot ORA-1000 while running PLSQLPACKAGE BODY FPM.GET_PARAME			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7wVkz.html" rel="bookmark">Linux中字符模式下设置和删除环境变量&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux中字符模式下设置和删除环境变量? bash下 设置:export 变量名=变量值删除:unset 变量名 csh下 设置:setenv 变量名 变量值删除:unsetenv 变量名			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjjPnb.html" rel="bookmark" class="title">写PL&sol;SQL程序时碰到的一些问题</a>
					<div>
						程序|问题 记的上次写PL/SQL程序还是刚毕业不久,还用的是Oracle 7 for Novell后来只是偶尔用一下oralce, PL/SQL的一些语法已经全忘了,这不,碰到好些低级的问题,谨记下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk9xEb.html" rel="bookmark" class="title">如何让Word 2010不提示语法错误</a>
					<div>
						在日常工作生活中,我们利用Word2010写文档时,可能会用到一些自创词语.英文词汇等,这些不规范的词语经常会被Office认定为错误拼写而为你报错,在词汇下方标注红色或绿色的波浪下划线,很影响阅读和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKAy6p.html" rel="bookmark" class="title">常打开网站不显示在IE9&OpenCurlyDoubleQuote;最常使用的网站&rdquo;列表</a>
					<div>
						在IE9中打开新的选项卡页面会列出最常用的网站,其规则是按照您使用某网站的频率,从高到低依次排列.但是对于某个网站,如果您不小心点击那个红色叉按钮而删除了,可能会出现无论你在打开该网站多少次,该网站在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr324Op.html" rel="bookmark" class="title">Word2013表格怎么添加斜线</a>
					<div>
						  大家在使用office2013制作Word表格的时候会想要添加斜线,这个时候只要在表格插入后在设计那找到下斜线就可以添加了哦,下面就和小编一起来看看具体怎么操作吧. office2013Word表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwvmmb.html" rel="bookmark" class="title">Go语言轻量级线程Goroutine用法实例&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言轻量级线程Goroutine用法.分享给大家供大家参考.具体如下: goroutine 是由 Go 运行时环境管理的轻量级线程. go f(x, y, z) 开启一个新的 gor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWkR6p.html" rel="bookmark" class="title">C双向链表</a>
					<div>
						写了一个很简单的双向链表 #include &lt;stdio.h&gt; #include &lt;STDLIB.H&gt; #include &lt;MALLOC.H&gt; //一个简单链表,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrqRWM.html" rel="bookmark" class="title">mysql-如何把MySQL表的列名输出到PHP页面显示？</a>
					<div>
						问题描述 如何把MySQL表的列名输出到PHP页面显示? 如图,这一行,怎么把它也在PHP页面里显示出来呢? 解决方案 SHOW COLUMNS FROM TableName					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRql1Gb.html" rel="bookmark" class="title">andriod标题栏-andriod默认标题栏的配置文件是哪一个？</a>
					<div>
						问题描述 andriod默认标题栏的配置文件是哪一个? 自定义了标题栏,但是还想用默认标题栏的返回按钮,不知道这个默认的配置是在哪个地方? 解决方案 在res目录下的v14的value文件里吧 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NVR1M.html" rel="bookmark" class="title">&lbrack;Angularjs&rsqb;视图和路由（二）</a>
					<div>
						写在前面 上篇文章主要介绍了视图和路由的基本概念,并在文章最后举了一个简单的使用案例.这篇文章将继续学习路由的配置,及相关参数的说明. 系列文章 [Angularjs]ng-select和ng-opt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQYj0z.html" rel="bookmark" class="title">测试-有谁了解过TPC-DS&period;求大神指点</a>
					<div>
						问题描述 有谁了解过TPC-DS.求大神指点 最好有测试的步骤,越详细越好,可以发到zhuhengjie068@126.com或qq聊 解决方案 大哥,搞定了么,求指导!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamJWgb.html" rel="bookmark" class="title">利用UIWebView获取userAgent需要注意的地方</a>
					<div>
						网络通信有时候需要传递参数userAgent,iOS中获取userAgent很简单. UIWebView* webView = [[UIWebView alloc] initWithFrame:CGR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm33qM.html" rel="bookmark" class="title">如何清空上一个串口接收的数据</a>
					<div>
						问题描述 如何清空上一个串口接收的数据 源码测试OK了,但连续读取串口数据时是叠加的数据,我想单独数据,请版主给个建议哦,新手提问,谢谢! 解决方案 根据你的代码,接收数据的部分,直接释放内存重新写入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAaJ3M.html" rel="bookmark" class="title">树莓派里面如何正确配置java的环境变量</a>
					<div>
						问题描述 树莓派里面如何正确配置java的环境变量 最近入树莓派,也初学Linux,想在上面搭建一个轻量级的Web服务器 之前用apt-get install 命令搭建了openJDK+Tomcat7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKXPKz.html" rel="bookmark" class="title">php5&period;4之后面向过程怎么自动转义字符</a>
					<div>
						问题描述 php5.4之后面向过程怎么自动转义字符 php5.4之后面向过程怎么自动转义字符,百度没有找到答案,是有其他函数代替?还是要自己封装函数?还是... 解决方案 http://www.jb5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rAK9p.html" rel="bookmark" class="title">二十年Photoshop所有版本回顾</a>
					<div>
						photoshop已经成为每个网页设计师生活的一部份,无论网页设计还是数据图片处理,无论在出版行业或艺术学校,几乎随处可见Photoshop的身影.今年,是Photoshop的第20个年头,让我们一起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zdmmz.html" rel="bookmark" class="title">电脑无线连接上信号上不了网，怎么办？</a>
					<div>
						  确认无线终端是自动获取IP地址.DNS服务器地址,并且获取到与路由器相同网段的IP.以Windows 7系统为例:   在电脑桌面右下角点击 网络图标,点击 打开网络与共享中心,在弹出的对话框左上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDAwKz.html" rel="bookmark" class="title">《树莓派用户指南（第3版）》&mdash;&mdash;第1篇 主板  第1章 初识树莓派  1&period;1 主板简介</a>
					<div>
						第1篇 主板 第1章 初识树莓派 第2章 树莓派入门 第3章 Linux系统管理 第4章 故障排查 第5章 网络配置 第6章 树莓派软件配置工具 第7章 树莓派高级配置 第1章 初识树莓派 树莓派(R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9432Vb.html" rel="bookmark" class="title">Android 进度条使用详解及示例代码&lowbar;Android</a>
					<div>
						在这里,总结一下loading进度条的使用简单总结一下. 一.说起进度条,必须说说条形进度条,经常都会使用到嘛,特别是下载文件进度等等,还有像腾讯QQ安装进度条一样,有个进度总给人良好的用户体验. 先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX04yjp.html" rel="bookmark" class="title">Qt之输出控制</a>
					<div>
						简述 在Qt项目开发过程中,往往需要对程序的一些信息进行控制,比如:打印日志.调试信息等,便于我们后期查找.跟踪及定位问题. 下面,我们来分享下常用的几种方式.   简述 示例代码 应用程序输出 控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod12BM.html" rel="bookmark" class="title">最常见的机架式服务器在数据中心机房</a>
					<div>
						当代市场和营销很喜欢用这句话来说明问题,那就是&quot;一切用数字说话&quot;.确实,有时候碰到一些朋友问我推荐什么品牌什么型号的服务器,为什么推荐它,我都觉得很难用一句话或是比较简单的话去说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qk4ZM.html" rel="bookmark" class="title">阿里债券受热捧：80亿债券认购额高达570亿</a>
					<div>
						DoNews 11月21日消息(记者 余维维)据&lt;彭博社&gt;报道,http://www.aliyun.com/zixun/aggregation/7554.html&quot;&gt;阿里巴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jYqVp.html" rel="bookmark" class="title">String 写入文件最后一行</a>
					<div>
						问题描述 我有个log文件log.txt想读取之后在文件的最后一行添加一段String比如本来是:2011-04-01ok;2011-04-02ok;现在想实现2011-04-01ok;2011-04 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7KYjM.html" rel="bookmark" class="title">linux中Shadowsocks-Go Mu 安装配置教程</a>
					<div>
						安装前配置 还是老样子,那就是各种支持库的安装.   Debian apt-get update apt-get install -y redis-server git CentOS yum inst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKgLvz.html" rel="bookmark" class="title">php设计模式之单例模式使用示例&lowbar;php实例</a>
					<div>
						以下为单例模式代码: 复制代码 代码如下: &lt;?phpclass EasyFramework_Easy_Mysql{    protected static $_instance = null; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl2Vvp.html" rel="bookmark" class="title">js仿支付宝填写支付密码效果实现多方框输入密码&lowbar;javascript技巧</a>
					<div>
						不知道怎么描述标题,先看截图吧,大致的效果就是一个框输入一位密码. 最开始实现的思路是一个小方框就是一个type为password的input,每输入一位自动跳到下一位,删除一位就自动跳到前一位,an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1R6Gb.html" rel="bookmark" class="title">Android实现从网络获取图片显示并保存到SD卡的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android实现从网络获取图片显示并保存到SD卡的方法.分享给大家供大家参考,具体如下: 问题: 如何不断获取图片并显示出来,达到视频的效果? 代码: public class Get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Wv5p.html" rel="bookmark" class="title">ASP&period;NET服务器控件开发（1）封装html&lowbar;实用技巧</a>
					<div>
						在我们的项目开发中,由于ASP.NET的服务器控件功能有限,所以我们经常会自己定义特定的服务器控件,来满足开发中特定的业务要求.可见知道如何开发ASP.NET服务器控件是非常有必要的. 其实简单的实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqE3nb.html" rel="bookmark" class="title">程序员：感觉技术停滞时，该怎么办？</a>
					<div>
						在旧文&lt;技术方向的选择&gt;的末尾,我写道:&quot;停留在原地纠结,什么也不会改变.&quot;.当做出了选择就该出发了.为了习得一门技术或技能,我们需要不断地练习,但如果一直在练习,却感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1PreM.html" rel="bookmark" class="title">悍匪周克华已被击毙毫无疑问</a>
					<div>
						针对网上质疑周克华未被击毙的信息,重庆市公安局网安总队官方微博8月19日上午消息称,这是纯属误解与造谣,悍匪周克华已被击毙毫无疑问. 重庆市公安局网安总队还称,近日,重庆沙坪坝区http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBEJkb.html" rel="bookmark" class="title">佳能诉中国企业墨盒专利侵权被指打压竞争</a>
					<div>
						7月5日消息,在佳能对中国耗材企业纳思达在美国市场发起了专利侵权诉讼后,有行业专家则再次呼吁打印机行业的跨国公司应改变靠高价耗材盈利的做法. 据国外媒体此前报道,此次佳能采取行动的对象包括了纳思达和其 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
